Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/2pc.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/2pc.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/2pc.rspec	(revision 3457)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="PC2" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC2:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="true">
+   <sliver_type name="raw-pc"> </sliver_type>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="PC2:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-1.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-1.rspec	(revision 3457)
@@ -0,0 +1,45 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="xen1" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen2" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen3" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen4" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="xen1:if0"/>
+    <interface_ref client_id="xen2:if0"/>
+    <interface_ref client_id="xen3:if0"/>
+    <interface_ref client_id="xen4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-2.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-2.rspec	(revision 3457)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="true">
+   <sliver_type name="raw-pc"> </sliver_type>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-3.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-CT-3.rspec	(revision 3457)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="ig-nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-nyse:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-nyse:if0"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <property source_id="ig-nyse:if0" dest_id="ig-ulla:if0"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-nyse:if0"/>
+    <link_type name="egre-tunnel"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-1.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-1.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-1.rspec	(revision 3457)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" />
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-2.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-2.rspec	(revision 3457)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?> <rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ulla:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" capacity="20000"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if1"/>
+    <interface_ref client_id="ig-ulla:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="ig-ulla:if1" capacity="20000"/>
+    <property source_id="ig-ulla:if1" dest_id="ig-gpo:if1" capacity="20000"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-3.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-3.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-3.rspec	(revision 3457)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-wash" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-wash:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ulla:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.washington.edu+authority+cm"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <interface_ref client_id="ig-wash:if0"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-wash:if0" capacity="20000" />
+    <property source_id="ig-wash:if0" dest_id="ig-ulla:if0" capacity="20000" />
+  </link>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if1" />
+    <property source_id="ig-ulla:if1" dest_id="ig-gpo:if0" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-4.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-4.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-4.rspec	(revision 3457)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+  <sliver_type name="m1.small"/>
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-ig">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-6.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-6.rspec	(revision 3457)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/ULLafayette/IG-ST-6.rspec	(revision 3457)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+        xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+        xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="link-ign">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" capacity="20000"/>
+    <interface_ref client_id="ig-ulla:if0" />
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" capacity="20000"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <emulab:openflow_controller url="tcp:206.196.180.220:6633" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/ULLafayette/IG-ST-1.rspec
===================================================================
--- /trunk/stitch-examples/ULLafayette/IG-ST-1.rspec	(revision 3457)
+++ /trunk/stitch-examples/ULLafayette/IG-ST-1.rspec	(revision 3457)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" />
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/ULLafayette/IG-ST-2.rspec
===================================================================
--- /trunk/stitch-examples/ULLafayette/IG-ST-2.rspec	(revision 3457)
+++ /trunk/stitch-examples/ULLafayette/IG-ST-2.rspec	(revision 3457)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?> <rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ulla:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" capacity="20000"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if1"/>
+    <interface_ref client_id="ig-ulla:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="ig-ulla:if1" capacity="20000"/>
+    <property source_id="ig-ulla:if1" dest_id="ig-gpo:if1" capacity="20000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/ULLafayette/IG-ST-3.rspec
===================================================================
--- /trunk/stitch-examples/ULLafayette/IG-ST-3.rspec	(revision 3457)
+++ /trunk/stitch-examples/ULLafayette/IG-ST-3.rspec	(revision 3457)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-wash" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-wash:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ulla:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.washington.edu+authority+cm"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+    <interface_ref client_id="ig-wash:if0"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-wash:if0" capacity="20000" />
+    <property source_id="ig-wash:if0" dest_id="ig-ulla:if0" capacity="20000" />
+  </link>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ulla:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if1" />
+    <property source_id="ig-ulla:if1" dest_id="ig-gpo:if0" />
+  </link>
+
+</rspec>
Index: /trunk/stitch-examples/ULLafayette/IG-ST-4.rspec
===================================================================
--- /trunk/stitch-examples/ULLafayette/IG-ST-4.rspec	(revision 3457)
+++ /trunk/stitch-examples/ULLafayette/IG-ST-4.rspec	(revision 3457)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+  <sliver_type name="m1.small"/>
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-ig">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <interface_ref client_id="ig-ulla:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/ULLafayette/IG-ST-6.rspec
===================================================================
--- /trunk/stitch-examples/ULLafayette/IG-ST-6.rspec	(revision 3457)
+++ /trunk/stitch-examples/ULLafayette/IG-ST-6.rspec	(revision 3457)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+        xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+        xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="ig-ulla" component_manager_id="urn:publicid:IDN+instageni.louisiana.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-ulla:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="link-ign">
+    <component_manager name="urn:publicid:IDN+instageni.louisiana.edu+authority+cm"/>
+    <property source_id="ig-ulla:if0" dest_id="ig-gpo:if0" capacity="20000"/>
+    <interface_ref client_id="ig-ulla:if0" />
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ulla:if0" capacity="20000"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <emulab:openflow_controller url="tcp:206.196.180.220:6633" />
+  </link>
+</rspec>
